Module | ActiveSupport::CoreExtensions::Array::ExtractOptions
In: | lib/active_support/core_ext/array/extract_options.rb

### Methods

extract_options!

### Public Instance methods

extract_options!()

Extracts options from a set of arguments. Removes and returns the last element in the array if it‘s a hash, otherwise returns a blank hash.

      def options(*args)
        args.extract_options!
      end

      options(1, 2)           # => {}
      options(1, 2, :a => :b) # => {:a=>:b}

[Validate]